﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default3.aspx.cs" Inherits="Default3" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadCodeBlock ID="CodeBlock1" runat="server">
        <script type="text/javascript">

            function clientClick(sender, args) {
                //gets the main table scrollArea HTLM element  
                var treeList = $find("<%= RadTreeList1.ClientID %>");

                var scrollArea = document.getElementById(treeList.get_element().id + "_rtlData");

                var row = treeList.get_selectedItems()[0];

                //if the position of the selected row is below the viewable grid area  
                if (row) {
                    if ((row.get_element().offsetTop - scrollArea.scrollTop) + row.get_element().offsetHeight + 20 > scrollArea.offsetHeight) {
                        //scroll down to selected row  
                        scrollArea.scrollTop = scrollArea.scrollTop + ((row.get_element().offsetTop - scrollArea.scrollTop) +
                                  row.get_element().offsetHeight - scrollArea.offsetHeight) + row.get_element().offsetHeight;
                    }
                        //if the position of the the selected row is above the viewable grid area  
                    else if ((row.get_element().offsetTop - scrollArea.scrollTop) < 0) {
                        //scroll the selected row to the top  
                        scrollArea.scrollTop = row.get_element().offsetTop;
                    }
                }
            }
        </script>
    </telerik:RadCodeBlock>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>
        <telerik:RadTreeList ID="RadTreeList1" runat="server" DataSourceID="SqlDataSource1"
            AutoGenerateColumns="true" AllowPaging="true" PageSize="6" DataKeyNames="EmployeeID"
            ParentDataKeyNames="ReportsTo">
            <ClientSettings>
                <Scrolling AllowScroll="true" UseStaticHeaders="true" SaveScrollPosition="true" ScrollHeight="100px" />
                <Selecting AllowItemSelection="true" />
            </ClientSettings>
        </telerik:RadTreeList>

        <telerik:RadButton runat="server" ID="RadButton1" Text="Scroll to item" AutoPostBack="false" UseSubmitBehavior="false" OnClientClicked="clientClick"></telerik:RadButton>
    </div>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        SelectCommand="SELECT EmployeeID, FirstName, LastName, ReportsTo FROM [Employees]" />
    </form>
</body>
</html>
